<template>
  <q-markup-table dense>
    <thead>
      <tr>
        <th>Persona</th>
        <th>Datos</th>
        <th>Acciones</th>
      </tr>
    </thead>

    <tbody>
      <tr v-for="item in dataSet" :key="item.uuid">
        <td>
          <q-item>
            <PersonaDetalle :persona="item.persona" />
          </q-item>
        </td>
        <td>
          <q-item dense>
            <q-item-section>
              <q-item-label>
                <ItemRama :rama="item.rama" />
              </q-item-label>
              <q-item-label caption lines="2">
                <span>Linea :</span> {{ item.linea }}
              </q-item-label>
              <q-item-label caption lines="3">
                <span>Fecha Solicitud. :</span>
                {{ $filters.Date(item.f_solicitud) }}
              </q-item-label>
            </q-item-section>
          </q-item>
        </td>
        <td class="text-right">
          <q-btn
            color="blue"
            size="sm"
            icon="chevron_right"
            :to="'/formacion/insignia_de_madera/finalizar/' + item.uuid"
          >
            Finalizar Solicitud
          </q-btn>
        </td>
      </tr>
    </tbody>

    <Loading :showing="loading" />
    <div
      class="full-width text-center text-orange q-gutter-sm"
      v-if="!loading && dataSet?.length == 0"
    >
      <q-icon size="2em" name="sentiment_dissatisfied" />
      <span> No existen Im pendientes </span>
    </div>
  </q-markup-table>
</template>

<script lang="ts">
import { defineComponent, ref, onMounted } from 'vue';
import { api } from 'src/boot/axios/index';
import { AxiosResponse } from 'axios';
import { InsigniasMaderaInterface } from 'src/interfaces/FormacionInterface';
import PersonaDetalle from 'components/Personas/Detalle.vue';
import ItemRama from 'components/Util/ItemRama.vue';
import Loading from 'src/components/Loading.vue';

export default defineComponent({
  name: 'PendientesCierrePartial',
  components: { Loading, PersonaDetalle, ItemRama },
  setup() {
    const loading = ref(true);

    onMounted(() => {
      getCumpleanios();
    });

    const dataSet = ref<InsigniasMaderaInterface[]>();
    function getCumpleanios() {
      api
        .get('/api/formacion/im/pendientes?rowsPerPage=9999')
        .then((response: AxiosResponse) => {
          dataSet.value = response.data.data;
        })
        .finally(() => {
          loading.value = false;
        });
    }

    return { loading, dataSet };
  },
});
</script>
